--imports
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Gameplay"

--Initialisation
Player = Turbine.Gameplay.LocalPlayer.GetInstance();
EffectList = Turbine.Gameplay.LocalPlayer:GetInstance():GetEffects();
local width = Turbine.UI.Display.GetWidth()
local height = Turbine.UI.Display.GetHeight()

--Callback handler
function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end

--Callbacks here
	AddCallback(EffectList,"EffectAdded", 	function(sender, args) tester() end)
	AddCallback(EffectList,"EffectRemoved", function(sender, args) tester()	end)

--New callback function
function tester()
f=0;
d=0;
w=0;
p=0;wd
	for effectnumber=1, EffectList:GetCount(), 1 do
--For logging comment in between here...
--		if EffectList:Get(effectnumber):IsCurable() then -- Filter (IsCurable() : Only Curables are logged)
--			Turbine.Shell.WriteLine(EffectList:Get(effectnumber):GetName()); -- Name to chat
--		end
--...and here
		if (EffectList:Get(effectnumber):GetName() == "Impending Disease" or EffectList:Get(effectnumber):GetName() == "Bevorstehende Krankheit") then -- Disease, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			d=0.5;
		end
		if (EffectList:Get(effectnumber):GetName() == "Impending Fear" or EffectList:Get(effectnumber):GetName() == "Bevorstehende Furcht") then -- Fear, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			f=0.5;
		end
		if (EffectList:Get(effectnumber):GetName() == "Impending Poison" or EffectList:Get(effectnumber):GetName() == "Drohendes Gift") then -- Poison, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			p=0.5;
		end
		if (EffectList:Get(effectnumber):GetName() == "Impending Wounds" or EffectList:Get(effectnumber):GetName() == "Bevorstehende Wunde") then -- Wound, add new one with this structure: or EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			w=0.5;
		end
	end
DiseaseWindow:SetOpacity(d)
FearWindow:SetOpacity(f)
PoisonWindow:SetOpacity(p)
WoundWindow:SetOpacity(w)
end

--Callback Windows
	--Wound
		WoundWindow= Turbine.UI.Window()
			WoundWindow:SetPosition(0,height-100)
			WoundWindow:SetSize(width,100)
			WoundWindow:SetOpacity(0)
			WoundWindow:SetMouseVisible (false)
			WoundWindow:SetZOrder(0)
			WoundWindow:SetVisible(true)
			WoundWindow:SetBackground ("Kunter/EffectWarn/Wound.tga")
			
	--Fear
		FearWindow= Turbine.UI.Window()
			FearWindow:SetPosition(0,height-100)
			FearWindow:SetSize(width,100)
			FearWindow:SetOpacity(0)
			FearWindow:SetMouseVisible (false)
			FearWindow:SetZOrder(0)
			FearWindow:SetVisible(true)
			FearWindow:SetBackground ("Kunter/EffectWarn/Fear.tga")
			
	--Disease
		DiseaseWindow= Turbine.UI.Window()
			DiseaseWindow:SetPosition(0,height-100)
			DiseaseWindow:SetSize(width,100)
			DiseaseWindow:SetOpacity(0)
			DiseaseWindow:SetMouseVisible (false)
			DiseaseWindow:SetZOrder(0)
			DiseaseWindow:SetVisible(true)
			DiseaseWindow:SetBackground ("Kunter/EffectWarn/Disease.tga")
		
	--Poison
		PoisonWindow= Turbine.UI.Window()
			PoisonWindow:SetPosition(0,height-100)
			PoisonWindow:SetSize(width,100)
			PoisonWindow:SetOpacity(0)
			PoisonWindow:SetMouseVisible (false)
			PoisonWindow:SetZOrder(0)
			PoisonWindow:SetVisible(true)
			PoisonWindow:SetBackground ("Kunter/EffectWarn/Poison.tga")

--Option Window
	

--[[ Old callback fuctions
--Functions (return opacity)		
function Disease()
	for effectnumber=1, EffectList:GetCount(), 1 do
	--For logging comment in after between here...
		if EffectList:Get(effectnumber):IsCurable() then -- Filter for logging
			Turbine.Shell.WriteLine(EffectList:Get(effectnumber):GetName()); -- Logging
		end -- End logging 
	--...and here
		if (EffectList:Get(effectnumber):GetName() == "Impending Disease" or EffectList:Get(effectnumber):GetName() == "... Krankheit") then -- Disease, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			return 0.5;
		end
		
	end
	return 0;
end

function Fear()
	for effectnumber=1, EffectList:GetCount(), 1 do
		if (EffectList:Get(effectnumber):GetName() == "Impending Fear" or EffectList:Get(effectnumber):GetName() == "... Furcht") then -- Fear, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			return 0.5;
		end
	end
return 0;
end

function Poison()
	for effectnumber=1, EffectList:GetCount(), 1 do
		if (EffectList:Get(effectnumber):GetName() == "Impending Poison" or EffectList:Get(effectnumber):GetName() == "... Gift") then -- Poison, add new one with this structure: EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			return 0.5;
		end
	end
return 0;
end

function Wound()
	for effectnumber=1, EffectList:GetCount(), 1 do
		if (EffectList:Get(effectnumber):GetName() == "Impending Wounds" or EffectList:Get(effectnumber):GetName() == "... Wunden") then -- Wound, add new one with this structure: or EffectList:Get(effectnumber):GetName() == "<BUFFNAME>"
			return 0.5;
		end
	end
return 0;
end
]]